package com.xunhong.erp.turbo.api.biz.api;

import com.xunhong.erp.turbo.api.biz.dto.cmd.CostItemCreateCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.CostItemDestroyCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.CostItemDragCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.CostItemUpdateCmd;
import com.xunhong.erp.turbo.api.biz.dto.qry.CostItemListQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.CostItemPageQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.CostItemShowQry;
import com.xunhong.erp.turbo.api.biz.dto.vo.CostItemVO;
import com.xunhong.erp.turbo.base.dto.PageDTO;

import java.util.List;

/**
 * @author shenyifei
 */
public interface CostItemServiceI {
	CostItemVO create(CostItemCreateCmd costItemCreateCmd);

	PageDTO<CostItemVO> page(CostItemPageQry costItemPageQry);

	List<CostItemVO> list(CostItemListQry costItemListQry);

	CostItemVO update(CostItemUpdateCmd costItemUpdateCmd);

	CostItemVO show(CostItemShowQry costItemShowQry);

	void destroy(CostItemDestroyCmd costItemDestroyCmd);

	void drag(CostItemDragCmd costItemDragCmd);
}
